# Copyright 2012, 2013 Marco Ceppi, Canonical Ltd.  This software is
# licensed under the GNU Affero General Public License version 3 (see
# the file LICENSE).

import os

from charmworld.utils import get_ini


settings = get_ini()

CHARM_DIR = os.path.abspath(
    os.path.expanduser("%s/var/charms" % os.environ['HOME']))

CHARM_QUEUE = 'charm-queue'

MONGO_URL = settings.get('mongo.url')
if MONGO_URL is None:
    MONGO_URL = ('mongodb://%s:%s' % (settings.get('mongo.host'),
                 settings.get('mongo.port')))
DB_NAME = settings.get('mongo.database')

CHARM_PROOF_PATH = "/usr/share/charm-tools/scripts"

STORE_URL = "https://store.juju.ubuntu.com"

CHARM_IMPORT_FILTER = None

try:
    from custom_config import *
except ImportError:
    pass
