# Copyright 2012, 2013 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

from charmworld.models import CharmSource
from charmworld.testing import MongoTestBase
from migrations.migrate import Versions


def run_migration(db, index_client, module_name):
    versions = Versions('migrations/versions/')
    versions.run_migration(db, index_client, module_name)


class TestMigration004(MongoTestBase):

    def test_migration(self):
        self.use_index_client()
        self.db.create_collection('charm-errors')
        run_migration(self.db, self.index_client, '004_remove_charm_errors.py')
        self.assertNotIn('charm-errors', self.db.collection_names())


class TestMigration008(MongoTestBase):

    def test_migration(self):
        self.use_index_client()
        source = CharmSource.from_request(self)
        source.save({'_id': 'a', 'icon': 'asdf', 'asdf': 'asdf'})
        source.save({'_id': 'b', 'icon': 'asdf', 'asdf': 'asdf'})
        run_migration(self.db, self.index_client, '008_delete_icon_field.py')
        for charm in source._get_all('a'):
            self.assertNotIn('icon', charm)
        for charm in source._get_all('b'):
            self.assertNotIn('icon', charm)
